#include <iostream>

int main(){
        int T, N, M, K;
        int ucenika_po_grupi, visaka;
        std::cin >> T;
        for (int i = 0; i < T; i++){
                std::cin >> N >> M >> K;
                ucenika_po_grupi = N / K;
                visaka = N % K;

                // (Ucenika_po_grupi/2)(ucenika_po_grupi+1) zbir od 1 do ucenika_po_grupi
                // Obe strane pomnožio sa dva da ne bih koristio decimalne brojeve.

                if ( K*ucenika_po_grupi*(ucenika_po_grupi+1)+(visaka*ucenika_po_grupi*2) > M ){
                        std::cout << "Nie\n";
                } else {
                        std::cout << "Tak\n";
                }
        }
        return 0;
}